For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Legacy DocsSign in
DocumentationChangelog
DocumentationChangelog
  • Get Started
    • Introduction
    • Get your API keys
    • Support
    • Privacy policy
    • Status
  • Transaction Enrichment
    • Overview
    • Entities Identification
    • Categorization
    • Recurrence
  • Bank Statements
    • Overview
    • Fast verification
  • Core resources
    • Batches
    • Entities
    • Account Holders
    • Webhooks
    • Personalization
    • Reporting wrong results
  • API Reference
    • Authentication
    • Errors
    • Request IDs
    • Pagination
    • Rate limits
      • POSTSubmit a batch of requests
      • GETRetrieve a batch
      • GETRetrieve the results of a batch
      • GETList all batches
LogoLogo
Legacy DocsSign in
API ReferenceBatches

List all batches

GET
https://api.ntropy.com/v3/batches
GET
/v3/batches
$curl -X "GET" \
> "https://api.ntropy.com/v3/batches" \
> -H "Accept: application/json" \
> -H "X-API-KEY: cd1H...Wmhl"
1{
2 "next_cursor": "XjdHaksD",
3 "data": [
4 {
5 "id": "203613d2-83c8-4130-8809-d14206eeec20",
6 "operation": "POST /v3/transactions",
7 "status": "processing",
8 "created_at": "2024-01-01T00:00:00",
9 "updated_at": "2024-01-01T00:00:30",
10 "progress": 0,
11 "total": 4000
12 }
13 ]
14}
Returns a list of submitted batches starting with the most recent one.
Was this page helpful?
Previous

Submit a bank statement PDF

Next
Built with

Authentication

X-Api-Keystring
API Key authentication via header

Query parameters

created_afterdatetime or nullOptional
Only return batches older or equal than this date
created_beforedatetime or nullOptional
Only return batches newer than this date
cursorstring or nullOptional
Starting point for the set of batches
limitintegerOptional1-50Defaults to 10
The limit of batches to be returned
statusenum or nullOptional
If specified, only return batches with this status
Allowed values:

Response

Successful Response
next_cursorstring or null
datalist of objects

Errors

422
Unprocessable Entity Error